Delete schedule task
curl --request DELETE \
--url https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}Agendamentos - Tarefas
Excluir Tarefa
Remove uma tarefa específica de uma rotina agendada.
DELETE
/
api
/
client
/
servers
/
{server_uuid}
/
schedules
/
{schedule_id}
/
tasks
/
{task_id}
Delete schedule task
curl --request DELETE \
--url https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}string
obrigatório
Chave Client API da sua conta. Você pode gerá-la em Configurações da Conta.
string
obrigatório
Identificador exclusivo para server uuid.
string
obrigatório
Identificador exclusivo para schedule id.
string
obrigatório
Identificador exclusivo para task id.
Resposta
string
Tipo de recurso retornado pela API (ex:
server, stats, list, api_key).object
Atributos detalhados do recurso retornado.
Exemplo de Uso
curl -X DELETE "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer SUA_CHAVE_CLIENT_API"
const response = await fetch("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks/{task_id}", {
method: "DELETE",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"Authorization": "Bearer SUA_CHAVE_CLIENT_API"
}
});
const data = await response.json();
console.log(data);
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resposta
Schedule task deleted.